package io.renren.modules.app.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import io.renren.modules.app.dao.JsgrwxzjDao;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.service.JsgrwxzjService;
import java.util.ArrayList;
import java.util.List;
import org.springframework.stereotype.Service;

@Service("jsgrwxzjService")
public class JsgrwxzjServiceImpl extends ServiceImpl<JsgrwxzjDao, YwpzEntity> implements JsgrwxzjService {

	@Override
	public List<XlkEntity> selectxlk(String id) {
		id = id.replace("\"", "");
		List<XlkEntity> list = new ArrayList<XlkEntity>();
		if ("01".equals(id)) {
			list = baseMapper.selectdw();
		} else if ("02".equals(id)) {
			list = baseMapper.selectyh();
		} else if("03".equals(id)){
			list = baseMapper.selectjsfs();
		}else{
			
		}
		return list;
	}

	@Override
	public void insertBc(YwpzEntity ywpzEntity) {
		
		baseMapper.insertbc(ywpzEntity);
	}

}
